This task is about learning and creating a datastore and interface to store.
The datastore is about movies, what kind of movie it is, who were the actors and directors,
which franchise it belongs to and etc.